
class Hash

  # As with #store but only if the key isn't
  # already in the hash.
  #--
  # ??? Would #store? be a better name?
  #++

  def insert(name, value)
    if key?(name)
      false
    else
      store(name,value)
      true
    end
  end

end

